Subject: RE: [Diffserv] Intuitive EF ?

From: Jon Bennett <[email-masked]>
Date: Wed, 26 Jul 2000 16:06:31 -0400

> > You will also have to add some condition about how long the 
> router can
> > delay after the EF packet arrives before the router sends 
> the first bit
> > of that packet.
> 
> I'm not sure I understand the need for this constraint. Provided the
> delay is relatively constant there isn't much more that EF requires.
> (In so far as EF aims to constrain jitter, but says nothing about
> whether EF-compliant routers can add 10ms of latency per hop, or
> 1ms, or 100us, or whatever just so long as it doesnt fluctuate too
> much, aka jitter.)
> 
> cheers,
> gja

The problem is that the delay may not be constant, and in large multistage
router/switches there may be no reasonable way that it can be made constant.
As a result there will be jitter added, jitter which is not currently
addressed in the RFC, but which as you point out still matters.

jon

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: Grenville Armitage <[email-masked]>
Date: Wed, 26 Jul 2000 15:12:47 -0700

> addressed in the RFC, but which as you point out still matters.

If there are uncontrollable jitter terms contributed by other
elements within the router's architecture, IMO this is outside
the scope of EF (or any DS PHB). Such terms simply become known
characteristics of the router (brand/model) taken into account
by an operator building network services. It doesn't need to
be taken into account for an EF PHB description, otherwise you're
heading down the slippery slope of defining a service instead of
a PHB.

cheers,
gja